---
# file: tests/1.test_defaults.yml

- name: "SWAP | TEST-2 | run test how swap file will be created if size > 0"

  hosts: all
  gather_facts: True

  vars:
    swap_file_size: "64M"
    swap_file_path: /test.swap

  pre_tasks:
    - name: "***[ OPERATING SYSTEM ]***"
      debug:
        msg: "{{ item }}"
      with_items:
        - "OS:                  {{ ansible_os_family|default('undefined') }}"
        - "Distribution:        {{ ansible_distribution|default('undefined') }}"
        - "Release:             {{ ansible_distribution_release|default('undefined') }}"
        - "Version:             {{ ansible_distribution_version|default('undefined') }}"
        - "Virtualization Role: {{ ansible_virtualization_role|default('undefined') }}"
        - "Virtualization Type: {{ ansible_virtualization_type|default('undefined') }}"
        - "Python version:      {{ ansible_python_version|default('undefined') }}"
    - name: "***[ PLAY VARIABLES ]***"
      debug:
        msg: "{{ item }}"
      with_items:
        - "swap_file_size: {{ swap_file_size }}"
        - "swap_file_path: {{ swap_file_path }}"

  roles:
    - role_is_being_tested
